Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class ClusterAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.ClusterAttributes

    public class ClusterAttributes

extends Object

Class containing information on cluster attributes.

Field Summary
`static String` `CLUSTER_ID` Cluster ID
`static String` `CONFIG_FILE_URL` Cluster config file URL
`static String` `HIGHLY_AVAILABLE` Is cluster highly available ?
`static String` `LOCAL_BROKER_INFO` Local master broker info
`static String` `MASTER_BROKER_INFO` Cluster master broker info

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE_URL

    public static final String CONFIG_FILE_URL

  Cluster config file URL

  See Also:
    Constant Field Values

### CLUSTER_ID

    public static final String CLUSTER_ID

  Cluster ID

  See Also:
    Constant Field Values

### HIGHLY_AVAILABLE

    public static final String HIGHLY_AVAILABLE

  Is cluster highly available ?

  See Also:
    Constant Field Values

### LOCAL_BROKER_INFO

    public static final String LOCAL_BROKER_INFO

  Local master broker info

  See Also:
    Constant Field Values

### MASTER_BROKER_INFO

    public static final String MASTER_BROKER_INFO

  Cluster master broker info

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.